import "../xerum_binding.dart";
import "resolvable_xerum_binding.dart";

class SingletonXerumBinding<TContract, TConcrete extends TContract>
    extends ResolvableXerumBinding<TContract, TConcrete> {
  TConcrete concrete;

  factory SingletonXerumBinding(XerumBinding binding, TConcrete concrete) =>
      new SingletonXerumBinding._(binding, concrete);

  SingletonXerumBinding._(
      SingletonXerumBinding binding, TConcrete this.concrete)
      : super.clone(binding);

  @override
  TConcrete resolve() => concrete;
}
