import "../xerum_binding.dart";
import "resolvable_xerum_binding.dart";

class TransientXerumBinding<TContract, TConcrete extends TContract>
    extends ResolvableXerumBinding<TContract, TConcrete> {
  Function factoryFunction;

  factory TransientXerumBinding(
          XerumBinding binding, TConcrete factoryFunction()) =>
      new TransientXerumBinding._(binding, factoryFunction);

  TransientXerumBinding._(
      XerumBinding binding, TConcrete this.factoryFunction())
      : super.clone(binding);

  @override
  TConcrete resolve() => factoryFunction() as TConcrete;
}
