class XerumBinding<TContract, TConcrete extends TContract> {
  Type _contractType;
  Type get contractType => _contractType;

  Type _concreteType;
  Type get concreteType => _concreteType;

  XerumBinding() {
    _contractType = TContract;
    _concreteType = TConcrete;
  }

  XerumBinding.clone(XerumBinding binding) {
    _contractType = binding.contractType;
    _concreteType = binding.concreteType;
  }
}
